package com.ffii.fpsms.modules.master.entity

import com.ffii.core.support.AbstractRepository
import com.ffii.fpsms.modules.master.entity.projections.WarehouseCombo
import org.springframework.stereotype.Repository
import java.io.Serializable

@Repository
interface WarehouseRepository : AbstractRepository<Warehouse, Long> {
    fun findWarehouseComboByDeletedFalse(): List<WarehouseCombo>;

    fun findByIdAndDeletedIsFalse(id: Serializable): Warehouse?;

    fun findByCodeAndDeletedIsFalse(code: String): Warehouse?;
}